/v1/floating-ipsList floating IPs
List all floating IPs in the current organization
Query Parameters
limit
integeroptionalquery
Maximum number of items to return
Default: 20
Example: 20
marker
string<uuid>optionalquery
ID of the last item from the previous page (for pagination)
Example: "550e8400-e29b-41d4-a716-446655440000"
status
stringoptionalquery
Filter by status
Example: "ACTIVE"
tags
stringoptionalquery
Filter by tags (comma-separated)
Example: "web,production"
floating_network_id
string<uuid>optionalquery
Filter by floating network ID
floating_ip_address
stringoptionalquery
Filter by floating IP address
port_id
string<uuid>optionalquery
Filter by associated port ID
Responses
List of floating IPs
Content-Type: application/json
floating_ips
arrayoptionalmeta
objectoptionallinks
objectoptionalAuthentication required or token invalid
Content-Type: application/json
error
objectrequiredInternal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/floating-ips" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
List of floating IPs
{"floating_ips": [{"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:network:floating-ip:550e8400-e29b-41d4-a716-446655440000","description": "string","floating_ip_address": "203.0.113.10","floating_network_id": "550e8400-e29b-41d4-a716-446655440001","status": "ACTIVE","port_id": "550e8400-e29b-41d4-a716-446655440000","fixed_ip_address": "string","router_id": "550e8400-e29b-41d4-a716-446655440000","dns_domain": "string","dns_name": "string","tags": ["web","frontend"],"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}],"meta": {"total": 150,"limit": 20,"marker": "550e8400-e29b-41d4-a716-446655440000","has_more": true},"links": {"self": "https://api.spo1.mycloud.com/v1/instances?limit=20","next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000","previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"}}